package prolog.ast.logic

import prolog.Substitutions
import prolog.ast.terms.Body
import prolog.ast.terms.Head
import prolog.logic.applySubstitution

class Rule(head: Head, body: Body) : Clause(head, body) {
    override fun applySubstitution(subs: Substitutions): Rule = Rule(
        head = applySubstitution(head, subs) as Head,
        body = applySubstitution(body, subs) as Body
    )
}
